#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
#include "EntityStateSplash.h"
#define CS_TELEPORTERLARGEHEAD_CREATENAME L"CS_teleporter_large_head"
//大型传送器顶盖
class CS_TeleporterLargeHead :
    public Entity
{
public:
    CS_TeleporterLargeHead();
    ~CS_TeleporterLargeHead();
    void Init(std::weak_ptr<Entity> self) override;//初始化
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    void SetHotWind();
    EntityStateGravity stateGravity;
    EntityStateSplash stateSplash;
    int stateID = 0;
    float srcY = 0;
    int soundID = -1;
};

std::shared_ptr<Entity> CreateCS_TeleporterLargeHead();